> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickPipe 생성

> **이 엔드포인트는 베타입니다.** API 계약은 안정적이며, 향후 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br /><br /> 새 ClickPipe를 생성합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/clickpipes
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes:
    post:
      tags:
        - ClickPipes
      summary: ClickPipe 생성
      description: >-
        **이 엔드포인트는 베타입니다.** API 계약은 안정적이며, 향후 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br
        /><br /> 새 ClickPipe를 생성합니다.
      parameters:
        - description: 서비스를 소유한 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe를 생성할 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipe'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ClickPipePostRequest:
      properties:
        destination:
          $ref: '#/components/schemas/ClickPipeMutateDestination'
        fieldMappings:
          description: ClickPipe의 필드 매핑입니다. 모든 대상 컬럼이 매핑에 포함되어야 합니다.
          items:
            $ref: '#/components/schemas/ClickPipeFieldMapping'
          type: array
        name:
          description: ClickPipe의 이름입니다.
          type: string
        scaling:
          $ref: '#/components/schemas/ClickPipeScaling'
        settings:
          $ref: '#/components/schemas/ClickPipeSettings'
        source:
          $ref: '#/components/schemas/ClickPipePostSource'
    ClickPipe:
      properties:
        createdAt:
          description: ClickPipe의 생성일입니다.
          type: string
        destination:
          $ref: '#/components/schemas/ClickPipeDestination'
        fieldMappings:
          description: ClickPipe의 필드 매핑입니다. 모든 대상 컬럼이 매핑에 포함되어야 합니다.
          items:
            $ref: '#/components/schemas/ClickPipeFieldMapping'
          type: array
        id:
          description: 고유한 ClickPipe ID입니다.
          format: uuid
          type: string
        name:
          description: ClickPipe의 이름입니다.
          type: string
        scaling:
          $ref: '#/components/schemas/ClickPipeScaling'
        serviceId:
          description: 이 ClickPipe가 속한 서비스의 ID입니다.
          format: uuid
          type: string
        settings:
          $ref: '#/components/schemas/ClickPipeSettings'
        source:
          $ref: '#/components/schemas/ClickPipeSource'
        state:
          description: ClickPipe의 현재 상태입니다.
          type: string
        updatedAt:
          description: ClickPipe의 마지막 업데이트 날짜입니다.
          type: string
    ClickPipeMutateDestination:
      properties:
        columns:
          description: 대상 테이블의 컬럼입니다. Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          items:
            $ref: '#/components/schemas/ClickPipeDestinationColumn'
          type: array
        database:
          description: 대상 데이터베이스입니다.
          type: string
        managedTable:
          description: 이 테이블을 ClickPipes에서 관리합니까? Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          type: boolean
        roles:
          description: >-
            ClickPipe는 이러한 역할로 ClickHouse 사용자를 생성합니다. 필요한 경우 여기에 사용자 지정 역할을
            추가하십시오.
          items:
            type: string
          type: array
        table:
          description: 대상 테이블입니다. Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          type: string
        tableDefinition:
          $ref: '#/components/schemas/ClickPipeDestinationTableDefinition'
    ClickPipeFieldMapping:
      properties:
        destinationField:
          description: 대상 필드 이름입니다.
          type: string
        sourceField:
          description: 소스 필드 이름입니다.
          type: string
    ClickPipeScaling:
      properties:
        concurrency:
          deprecated: true
          description: >-
            원하는 동시 실행 수입니다. S3 파이프에만 적용됩니다. 0으로 설정하면 클러스터 메모리에 따라 동시 실행 수가 자동으로
            조정됩니다.
          type: integer
        replicaCpuMillicores:
          description: 각 레플리카의 CPU 밀리코어 값입니다. streaming 파이프에만 적용됩니다.
          maximum: 2000
          minimum: 125
          type: integer
        replicaMemoryGb:
          description: 각 레플리카의 메모리 용량(GB)입니다. streaming 파이프에만 적용됩니다.
          maximum: 8
          minimum: 0.5
          type: number
        replicas:
          description: 원하는 레플리카 수입니다. 확장 가능한 파이프에만 적용됩니다.
          type: integer
    ClickPipeSettings:
      properties:
        clickhouse_max_download_threads:
          description: 최대 다운로드 스레드 수입니다. 최대 동시 다운로드 스레드 수입니다.
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 최대 삽입 스레드 수입니다. 최대 동시 삽입 스레드 수입니다.
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 최대 스레드 수입니다. 파일 처리를 위한 최대 동시 스레드 수입니다.
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 최소 삽입 데이터 블록 크기(바이트)입니다. 삽입용 데이터 블록의 최소 크기(바이트)입니다.
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: 병렬 분산 insert select입니다. 병렬 분산 insert select 설정입니다.
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: >-
            병렬 view 처리입니다. attached 상태인 view로 순차적으로 푸시하는 대신 동시에 푸시하도록 활성화할지
            여부입니다.
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: 객체 스토리지 동시성입니다. 파일을 동시에 처리하는 스레드 수입니다.
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 최대 파일 수입니다. 단일 삽입 배치에서 처리할 최대 파일 수입니다.
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 최대 삽입 바이트입니다. 단일 삽입 배치에서 처리할 바이트 수입니다.
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: 객체 스토리지 폴링 인터벌입니다. 새 객체 스토리지 데이터를 지속적으로 수집하기 위해 조회하는 갱신 인터벌을 구성합니다.
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: cluster function 사용 여부입니다. 분산 처리에 ClickHouse 클러스터 함수를 사용할지 여부입니다.
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: 스트리밍 최대 삽입 대기 시간입니다. 데이터를 ClickHouse에 삽입하기 전 대기할 최대 시간을 구성합니다.
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
    ClickPipePostSource:
      properties:
        kafka:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostKafkaSource'
        kinesis:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostKinesisSource'
        objectStorage:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostObjectStorageSource'
        postgres:
          $ref: '#/components/schemas/ClickPipeMutatePostgresSource'
        validateSamples:
          description: >-
            데이터 소스에서 받은 데이터 샘플을 검증합니다. 연결과 데이터의 가용성 및 정확성을 검증합니다. 활성화하지 않으면 연결만
            검증합니다. 이 설정은 Postgres 파이프에는 적용되지 않으며, Postgres 파이프는 항상 연결과 테이블 정의만
            검증합니다. 이 기능은 Experimental 상태이며 향후 제거될 수 있습니다.
          type: boolean
    ClickPipeDestination:
      properties:
        columns:
          description: 대상 테이블의 컬럼입니다. Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          items:
            $ref: '#/components/schemas/ClickPipeDestinationColumn'
          type: array
        database:
          description: 대상 데이터베이스입니다.
          type: string
        managedTable:
          description: 이 테이블을 ClickPipes에서 관리합니까? Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          type: boolean
        table:
          description: 대상 테이블입니다. Postgres를 제외한 모든 파이프 유형에서 필수 필드입니다.
          type: string
        tableDefinition:
          $ref: '#/components/schemas/ClickPipeDestinationTableDefinition'
    ClickPipeSource:
      properties:
        kafka:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSource'
        kinesis:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKinesisSource'
        objectStorage:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeObjectStorageSource'
        postgres:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostgresSource'
    ClickPipeDestinationColumn:
      properties:
        name:
          description: 컬럼 이름입니다.
          type: string
        type:
          description: 컬럼의 유형입니다.
          type: string
    ClickPipeDestinationTableDefinition:
      properties:
        engine:
          $ref: '#/components/schemas/ClickPipeDestinationTableEngine'
        partitionBy:
          description: 파티션 키 SQL 표현식입니다.
          type: string
        primaryKey:
          description: 프라이머리 키 SQL 표현식입니다.
          type: string
        sortingKey:
          description: 대상 테이블의 정렬 키입니다. 컬럼 목록입니다.
          items:
            type: string
          type: array
    ClickPipePostKafkaSource:
      properties:
        authentication:
          description: >-
            Kafka source의 인증 방법입니다. 지원되는 인증 방법: kafka: PLAIN, SCRAM-SHA-256,
            SCRAM-SHA-512, MUTUAL_TLS, msk: SCRAM-SHA-512, IAM_ROLE, IAM_USER,
            MUTUAL_TLS, confluent: PLAIN, MUTUAL_TLS, warpstream: PLAIN,
            azureeventhub: PLAIN, redpanda: SCRAM-SHA-256, SCRAM-SHA-512,
            MUTUAL_TLS, dokafka: SCRAM-SHA-256, MUTUAL_TLS
          enum:
            - PLAIN
            - SCRAM-SHA-256
            - SCRAM-SHA-512
            - IAM_ROLE
            - IAM_USER
            - MUTUAL_TLS
          type: string
        brokers:
          description: Kafka source의 brokers입니다.
          type: string
        caCertificate:
          description: broker 인증서를 검증하기 위한 PEM 인코딩 CA 인증서입니다.
          nullable: true
          type: string
        consumerGroup:
          description: >-
            Kafka source의 consumer group입니다. 지정하지 않으면 "clickpipes-<<ID>>"를
            사용합니다.
          example: my-clickpipe-consumer-group
          nullable: true
          type: string
        credentials:
          description: Kafka source의 자격 증명입니다. 인증 방법에서 지원하는 항목 중 하나를 선택하십시오.
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PLAIN'
            - $ref: '#/components/schemas/MskIamUser'
            - $ref: '#/components/schemas/AzureEventHub'
        format:
          description: Kafka source의 포맷입니다.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: >-
            Kafka source용 IAM role입니다. IAM role 인증과 함께 사용하십시오. 자세한 내용은
            ClickPipes 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/kafka#iam
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        offset:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaOffset'
        reversePrivateEndpointIds:
          description: >-
            Kafka source에 대한 안전한 비공개 connection에 사용되는 Reverse Private Endpoint
            UUIDs입니다.
          items:
            type: string
          type: array
        schemaRegistry:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeMutateKafkaSchemaRegistry'
        topics:
          description: Kafka source의 topics입니다.
          type: string
        type:
          description: Kafka source의 유형입니다.
          enum:
            - kafka
            - redpanda
            - msk
            - confluent
            - warpstream
            - azureeventhub
            - dokafka
          type: string
    ClickPipePostKinesisSource:
      properties:
        accessKey:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MskIamUser'
        authentication:
          description: Kinesis 스트림에 사용할 인증 방법입니다.
          enum:
            - IAM_ROLE
            - IAM_USER
          type: string
        format:
          description: Kinesis 스트림의 포맷입니다.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: 인증에 사용할 IAM role입니다. IAM_ROLE을 사용하는 경우 필수입니다.
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        iteratorType:
          description: >-
            Kinesis 스트림에서 읽을 때 사용할 iterator 유형입니다. AT_TIMESTAMP를 사용하는 경우
            timestamp 필드를 제공해야 합니다.
          enum:
            - TRIM_HORIZON
            - LATEST
            - AT_TIMESTAMP
          type: string
        region:
          description: Kinesis 스트림의 AWS 리전입니다.
          example: us-east-1
          type: string
        streamName:
          description: Kinesis 스트림 이름입니다.
          example: my-stream
          type: string
        timestamp:
          description: >-
            Kinesis 스트림에서 읽기를 시작할 Unix timestamp입니다. iteratorType이 AT_TIMESTAMP인
            경우 필수입니다.
          example: 1615766400
          nullable: true
          type: integer
        useEnhancedFanOut:
          description: Kinesis 스트림에 enhanced fan-out을 사용합니다.
          nullable: true
          type: boolean
    ClickPipePostObjectStorageSource:
      properties:
        accessKey:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MskIamUser'
        authentication:
          description: >-
            인증 방법입니다. CONNECTION_STRING은 Azure Blob Storage에 사용합니다. IAM_ROLE 및
            IAM_USER는 AWS S3/GCS/DigitalOcean에 사용합니다. 지정하지 않으면 인증을 사용하지 않습니다.
          enum:
            - IAM_ROLE
            - IAM_USER
            - CONNECTION_STRING
          nullable: true
          type: string
        azureContainerName:
          description: >-
            Azure Blob Storage의 Container 이름입니다. type이 azureblobstorage일 때
            필요합니다.
          example: mycontainer
          nullable: true
          type: string
        compression:
          description: 파일에 사용되는 압축 알고리즘입니다.
          enum:
            - gzip
            - gz
            - brotli
            - br
            - xz
            - LZMA
            - zstd
            - auto
          example: auto
          nullable: true
          type: string
        connectionString:
          description: >-
            Azure Blob Storage 인증에 사용할 연결 문자열입니다. authentication이
            CONNECTION_STRING일 때 필요합니다.
          example: >-
            DefaultEndpointsProtocol=https;AccountName=myaccount;AccountKey=mykey;EndpointSuffix=core.windows.net
          nullable: true
          type: string
        delimiter:
          description: 파일에 사용되는 구분자입니다.
          example: ','
          nullable: true
          type: string
        format:
          description: 파일의 포맷입니다.
          enum:
            - JSONEachRow
            - JSONAsObject
            - CSV
            - CSVWithNames
            - Parquet
            - Avro
          type: string
        iamRole:
          description: >-
            IAM role 인증에 사용할 IAM role입니다. 자세한 내용은 ClickPipes 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#authentication
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        isContinuous:
          description: >-
            true로 설정하면 파이프가 원본에서 새 파일을 지속적으로 읽습니다. false로 설정하면 파이프가 파일을 한 번만
            읽습니다. 새 파일은 사전식 순서에 맞게 업로드되어야 합니다.
          nullable: true
          type: boolean
        path:
          description: >-
            Azure container 내 파일의 경로입니다. Azure Blob Storage 원본에 사용됩니다. bash 스타일
            와일드카드를 사용해 여러 파일을 지정할 수 있습니다. 자세한 내용은 경로에서 와일드카드 사용에 대한 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: data/logs/*.json
          nullable: true
          type: string
        queueUrl:
          description: >-
            이벤트 기반 지속적인 수집을 위한 SQS 큐 URL입니다. 지정하면 파일은 사전식 순서가 아니라 S3 이벤트 알림을
            기준으로 수집됩니다. isContinuous가 true이고 authentication이 public이 아닐 때만
            적용됩니다.
          example: https://sqs.us-east-1.amazonaws.com/123456789012/MyQueue
          nullable: true
          type: string
        type:
          description: ObjectStorage 소스의 유형입니다.
          enum:
            - s3
            - gcs
            - dospaces
            - azureblobstorage
          type: string
        url:
          description: >-
            수집할 파일의 경로를 입력하십시오. bash 스타일 와일드카드를 사용해 여러 파일을 지정할 수 있습니다. 자세한 내용은
            경로에서 와일드카드 사용에 대한 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: >-
            https://datasets-documentation.s3.eu-west-3.amazonaws.com/http/**.ndjson.gz
          type: string
    ClickPipeMutatePostgresSource:
      properties:
        credentials:
          $ref: '#/components/schemas/PLAIN'
        database:
          description: 연결할 Postgres 인스턴스의 데이터베이스입니다.
          type: string
        host:
          description: 연결할 Postgres 인스턴스의 호스트입니다.
          type: string
        port:
          description: 연결할 Postgres 인스턴스의 포트입니다.
          type: number
        settings:
          $ref: '#/components/schemas/ClickPipePostgresPipeSettings'
        tableMappings:
          description: Postgres 파이프의 테이블 매핑입니다.
          items:
            $ref: '#/components/schemas/ClickPipePostgresPipeTableMapping'
          type: array
    ClickPipeKafkaSource:
      properties:
        authentication:
          description: >-
            Kafka source의 인증 방법입니다. 지원되는 인증 방법: kafka: PLAIN, SCRAM-SHA-256,
            SCRAM-SHA-512, MUTUAL_TLS, msk: SCRAM-SHA-512, IAM_ROLE, IAM_USER,
            MUTUAL_TLS, confluent: PLAIN, MUTUAL_TLS, warpstream: PLAIN,
            azureeventhub: PLAIN, redpanda: SCRAM-SHA-256, SCRAM-SHA-512,
            MUTUAL_TLS, dokafka: SCRAM-SHA-256, MUTUAL_TLS
          enum:
            - PLAIN
            - SCRAM-SHA-256
            - SCRAM-SHA-512
            - IAM_ROLE
            - IAM_USER
            - MUTUAL_TLS
          type: string
        brokers:
          description: Kafka source의 brokers입니다.
          type: string
        caCertificate:
          description: broker 인증서를 검증하기 위한 PEM 인코딩 CA 인증서입니다.
          nullable: true
          type: string
        consumerGroup:
          description: >-
            Kafka source의 consumer group입니다. 지정하지 않으면 "clickpipes-<<ID>>"를
            사용합니다.
          example: my-clickpipe-consumer-group
          nullable: true
          type: string
        format:
          description: Kafka source의 포맷입니다.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: >-
            Kafka source용 IAM role입니다. IAM role 인증과 함께 사용하십시오. 자세한 내용은
            ClickPipes 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/kafka#iam
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        offset:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaOffset'
        reversePrivateEndpointIds:
          description: >-
            Kafka source에 대한 안전한 비공개 connection에 사용되는 Reverse Private Endpoint
            UUIDs입니다.
          items:
            type: string
          type: array
        schemaRegistry:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSchemaRegistry'
        topics:
          description: Kafka source의 topics입니다.
          type: string
        type:
          description: Kafka source의 유형입니다.
          enum:
            - kafka
            - redpanda
            - msk
            - confluent
            - warpstream
            - azureeventhub
            - dokafka
          type: string
    ClickPipeKinesisSource:
      properties:
        authentication:
          description: Kinesis 스트림에 사용할 인증 방법입니다.
          enum:
            - IAM_ROLE
            - IAM_USER
          type: string
        format:
          description: Kinesis 스트림의 포맷입니다.
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: 인증에 사용할 IAM role입니다. IAM_ROLE을 사용하는 경우 필수입니다.
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        iteratorType:
          description: >-
            Kinesis 스트림에서 읽을 때 사용할 iterator 유형입니다. AT_TIMESTAMP를 사용하는 경우
            timestamp 필드를 제공해야 합니다.
          enum:
            - TRIM_HORIZON
            - LATEST
            - AT_TIMESTAMP
          type: string
        region:
          description: Kinesis 스트림의 AWS 리전입니다.
          example: us-east-1
          type: string
        streamName:
          description: Kinesis 스트림 이름입니다.
          example: my-stream
          type: string
        timestamp:
          description: >-
            Kinesis 스트림에서 읽기를 시작할 Unix timestamp입니다. iteratorType이 AT_TIMESTAMP인
            경우 필수입니다.
          example: 1615766400
          nullable: true
          type: integer
        useEnhancedFanOut:
          description: Kinesis 스트림에 enhanced fan-out을 사용합니다.
          nullable: true
          type: boolean
    ClickPipeObjectStorageSource:
      properties:
        authentication:
          description: >-
            인증 방법입니다. CONNECTION_STRING은 Azure Blob Storage에 사용합니다. IAM_ROLE 및
            IAM_USER는 AWS S3/GCS/DigitalOcean에 사용합니다. 지정하지 않으면 인증을 사용하지 않습니다.
          enum:
            - IAM_ROLE
            - IAM_USER
            - CONNECTION_STRING
          nullable: true
          type: string
        azureContainerName:
          description: >-
            Azure Blob Storage의 container 이름입니다. type이 azureblobstorage인 경우
            필수입니다.
          example: mycontainer
          nullable: true
          type: string
        compression:
          description: 파일에 사용되는 압축 알고리즘입니다.
          enum:
            - gzip
            - gz
            - brotli
            - br
            - xz
            - LZMA
            - zstd
            - auto
          example: auto
          nullable: true
          type: string
        connectionString:
          description: >-
            Azure Blob Storage 인증에 사용할 connection string입니다. authentication이
            CONNECTION_STRING인 경우 필수입니다.
          example: >-
            DefaultEndpointsProtocol=https;AccountName=myaccount;AccountKey=mykey;EndpointSuffix=core.windows.net
          nullable: true
          type: string
        delimiter:
          description: 파일에 사용되는 구분자입니다.
          example: ','
          nullable: true
          type: string
        format:
          description: 파일의 포맷입니다.
          enum:
            - JSONEachRow
            - JSONAsObject
            - CSV
            - CSVWithNames
            - Parquet
            - Avro
          type: string
        iamRole:
          description: >-
            IAM role 인증에 사용할 IAM role입니다. 자세한 내용은 ClickPipes 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#authentication
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        isContinuous:
          description: >-
            true로 설정하면 파이프가 소스에서 새 파일을 지속적으로 읽습니다. false로 설정하면 파이프는 파일을 한 번만
            읽습니다. 새 파일은 사전식 순서에 맞게 업로드해야 합니다.
          nullable: true
          type: boolean
        path:
          description: >-
            Azure container 내 파일의 경로입니다. Azure Blob Storage 소스에 사용됩니다. bash 스타일
            와일드카드를 사용해 여러 파일을 지정할 수 있습니다. 자세한 내용은 경로에서 와일드카드를 사용하는 방법에 대한 문서를
            참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: data/logs/*.json
          nullable: true
          type: string
        queueUrl:
          description: >-
            이벤트 기반 지속적인 수집을 위한 SQS 큐 URL입니다. 지정하면 파일은 사전식 순서가 아니라 S3 이벤트 알림을
            기준으로 수집됩니다. isContinuous가 true이고 인증이 public이 아닐 때만 적용됩니다.
          example: https://sqs.us-east-1.amazonaws.com/123456789012/MyQueue
          nullable: true
          type: string
        type:
          description: ObjectStorage 소스의 유형입니다.
          enum:
            - s3
            - gcs
            - dospaces
            - azureblobstorage
          type: string
        url:
          description: >-
            수집할 파일 경로를 지정하십시오. bash 스타일 와일드카드를 사용해 여러 파일을 지정할 수 있습니다. 자세한 내용은
            경로에서 와일드카드를 사용하는 방법에 대한 문서를 참조하십시오:
            https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: >-
            https://datasets-documentation.s3.eu-west-3.amazonaws.com/http/**.ndjson.gz
          type: string
    ClickPipePostgresSource:
      properties:
        database:
          description: 연결할 Postgres 인스턴스의 데이터베이스입니다.
          type: string
        host:
          description: 연결할 Postgres 인스턴스의 호스트입니다.
          type: string
        port:
          description: 연결할 Postgres 인스턴스의 포트입니다.
          type: number
        settings:
          $ref: '#/components/schemas/ClickPipePostgresPipeSettings'
        tableMappings:
          description: Postgres 파이프의 테이블 매핑입니다.
          items:
            $ref: '#/components/schemas/ClickPipePostgresPipeTableMapping'
          type: array
    ClickPipeDestinationTableEngine:
      properties:
        columnIds:
          description: SummingMergeTree 엔진에서 합산할 컬럼 이름들입니다.
          items:
            type: string
          type: array
        type:
          description: 대상 테이블의 엔진 유형입니다.
          enum:
            - MergeTree
            - ReplacingMergeTree
            - SummingMergeTree
            - 'Null'
          type: string
        versionColumnId:
          description: ReplacingMergeTree 엔진에서 버전으로 사용할 컬럼 이름입니다.
          nullable: true
          type: string
    PLAIN:
      properties:
        password:
          description: 비밀번호.
          type: string
        username:
          description: 사용자 이름.
          type: string
    MskIamUser:
      properties:
        accessKeyId:
          description: IAM 액세스 키 ID.
          type: string
        secretKey:
          description: IAM 시크릿 키.
          type: string
    AzureEventHub:
      properties:
        connectionString:
          description: Azure EventHub source의 connection string입니다.
          type: string
    ClickPipeKafkaOffset:
      properties:
        strategy:
          description: 오프셋 전략.
          enum:
            - from_beginning
            - from_latest
            - from_timestamp
          type: string
        timestamp:
          description: 시작 시점을 나타내는 분 단위 정밀도의 UTC timestamp입니다. "from_timestamp" 전략에 필요합니다.
          example: 2021-01-01T00:00
          nullable: true
          type: string
    ClickPipeMutateKafkaSchemaRegistry:
      properties:
        authentication:
          description: 스키마 레지스트리의 인증 유형입니다.
          enum:
            - PLAIN
          type: string
        caCertificate:
          description: 스키마 레지스트리 인증서를 검증하기 위한 PEM 인코딩 CA 인증서입니다.
          nullable: true
          type: string
        credentials:
          $ref: '#/components/schemas/ClickPipeKafkaSchemaRegistryCredentials'
        url:
          description: 스키마 URL입니다. HTTPS가 필요합니다.
          example: https://psrc-aa00.us-east-2.aws.confluent.cloud/schemas/ids/100004
          type: string
    ClickPipePostgresPipeSettings:
      properties:
        allowNullableColumns:
          description: 대상 테이블에서 널 허용 컬럼을 허용합니다.
          type: boolean
        enableFailoverSlots:
          description: >-
            생성된 replication slot에 대해 failover를 활성화합니다. replication slot이 설정되지 않은
            경우에만 사용할 수 있습니다.
          type: boolean
        initialLoadParallelism:
          description: 초기 적재 중 동기화할 병렬 테이블 수입니다.
          type: number
        publicationName:
          description: 복제에 사용할 publication 이름입니다.
          type: string
        pullBatchSize:
          description: 각 Batch에서 가져올 행 수입니다.
          type: number
        replicationMode:
          description: 파이프에 사용할 복제 모드입니다.
          enum:
            - cdc
            - snapshot
            - cdc_only
          type: string
        replicationSlotName:
          description: 복제에 사용할 replication slot 이름입니다.
          type: string
        snapshotNumRowsPerPartition:
          description: 파티션별로 스냅샷할 행 수입니다.
          type: number
        snapshotNumberOfParallelTables:
          description: 병렬로 스냅샷할 테이블 수입니다.
          type: number
        syncIntervalSeconds:
          description: Postgres에서 데이터를 동기화하는 주기(초)입니다.
          type: number
    ClickPipePostgresPipeTableMapping:
      properties:
        excludedColumns:
          description: 대상 테이블에서 제외할 컬럼입니다.
          items:
            type: string
          type: array
        sortingKeys:
          description: 대상 테이블의 정렬 키로 사용할 컬럼의 순서가 있는 목록입니다.
          items:
            type: string
          type: array
        sourceSchemaName:
          description: 원본 schema 이름입니다.
          type: string
        sourceTable:
          description: 원본 테이블 이름입니다.
          type: string
        tableEngine:
          description: 대상 테이블에 사용할 테이블 엔진입니다.
          enum:
            - MergeTree
            - ReplacingMergeTree
            - 'Null'
          type: string
        targetTable:
          description: 대상 테이블 이름입니다.
          type: string
        useCustomSortingKey:
          description: 대상 테이블에 사용자 지정 sorting key를 사용할지 여부입니다.
          type: boolean
    ClickPipeKafkaSchemaRegistry:
      properties:
        authentication:
          description: 스키마 레지스트리의 인증 유형입니다.
          enum:
            - PLAIN
          type: string
        caCertificate:
          description: 스키마 레지스트리 인증서를 검증하기 위한 PEM 인코딩 CA 인증서입니다.
          nullable: true
          type: string
        url:
          description: schema URL. HTTPS가 필요합니다.
          example: https://psrc-aa00.us-east-2.aws.confluent.cloud/schemas/ids/100004
          type: string
    ClickPipeKafkaSchemaRegistryCredentials:
      properties:
        password:
          description: 스키마 레지스트리의 비밀번호입니다.
          type: string
        username:
          description: 스키마 레지스트리의 사용자 이름입니다.
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````